#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 z-dns-z-dns-internal
version:              4.1.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.1-CmxkGKO8b2vD8yewocjrEC-dns-internal
key:                  dns-4.1.1-CmxkGKO8b2vD8yewocjrEC-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  45fb5811135e18b286ce437eabe8098d
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-CmxkGKO8b2vD8yewocjrEC-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-63qhz2egf712xrTPAnr2Zj
    attoparsec-0.14.4-x6mFqXglGqIZ8dJ9fSoCx
    auto-update-0.1.6-4DQohd9hYjG6wnn040LHar base-4.17.2.1
    base16-bytestring-1.0.2.0-KtYitFsTneELM2hKpf73Fg
    base64-bytestring-1.2.1.0-3I8EkZDRuR97orcJ5EVOv5
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-LMolnZwpRvW7BfRj8XMS7A
    containers-0.6.7 cryptonite-0.30-7KmzIdEADZ47ghk2k2BWlC
    hourglass-0.2.12-CONNEAbH5WmAPm19ZXWJIX
    iproute-1.7.15-F9Yh2oJm9i3KxPBsIcIbyi mtl-2.2.2
    network-3.1.4.0-82nHJL6Luo48oDimrIyJyV
    psqueues-0.2.8.1-DxDO26kNq4rHSmn1mtm535

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 dns
version:              4.1.1
visibility:           public
id:                   dns-4.1.1-9FOZUlRzoe6HeTSGtmFog8
key:                  dns-4.1.1-9FOZUlRzoe6HeTSGtmFog8
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  ae21c251ddcdb5cbfcd8e29409a22b6f
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-9FOZUlRzoe6HeTSGtmFog8
depends:
    array-0.5.4.0 async-2.2.5-63qhz2egf712xrTPAnr2Zj
    attoparsec-0.14.4-x6mFqXglGqIZ8dJ9fSoCx
    auto-update-0.1.6-4DQohd9hYjG6wnn040LHar base-4.17.2.1
    base16-bytestring-1.0.2.0-KtYitFsTneELM2hKpf73Fg
    base64-bytestring-1.2.1.0-3I8EkZDRuR97orcJ5EVOv5
    bytestring-0.11.5.3 containers-0.6.7
    cryptonite-0.30-7KmzIdEADZ47ghk2k2BWlC
    dns-4.1.1-CmxkGKO8b2vD8yewocjrEC-dns-internal
    hourglass-0.2.12-CONNEAbH5WmAPm19ZXWJIX
    iproute-1.7.15-F9Yh2oJm9i3KxPBsIcIbyi mtl-2.2.2
    network-3.1.4.0-82nHJL6Luo48oDimrIyJyV
    psqueues-0.2.8.1-DxDO26kNq4rHSmn1mtm535

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

